﻿@model List<(string City, int CarCount)>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Areas/Customer/Views/Shared/_LayoutCustomer.cshtml";
}

<section class="ftco-section ftco-no-pt bg-light">
    <div class="container">
        <div class="row no-gutters">
            <div class="col-md-12	featured-top">
                <div class="row no-gutters">
                    <div class="col-md-8 d-flex align-items-center">
                        <div class="services-wrap rounded-right w-100">
                            <h3 class="heading-section mb-4">
                                Looking for a vehicle? You're
                                at the right place.
                            </h3>
                            <div class="row d-flex mb-4">
                                <div class="col-md-4 d-flex align-self-stretch ftco-animate">
                                    <div class="services w-100 text-center">
                                        <div class="icon d-flex align-items-center justify-content-center">
                                            <span class="flaticon-route"></span>
                                        </div>
                                        <div class="text w-100">
                                            <h3 class="heading mb-2">Choose Your Pickup Location</h3>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4 d-flex align-self-stretch ftco-animate">
                                    <div class="services w-100 text-center">
                                        <div class="icon d-flex align-items-center justify-content-center">
                                            <span class="flaticon-handshake"></span>
                                        </div>
                                        <div class="text w-100">
                                            <h3 class="heading mb-2">Select the Best Deal</h3>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4 d-flex align-self-stretch ftco-animate">
                                    <div class="services w-100 text-center">
                                        <div class="icon d-flex align-items-center justify-content-center">
                                            <span class="flaticon-rent"></span>
                                        </div>
                                        <div class="text w-100">
                                            <h3 class="heading mb-2">Reserve Your Rental Car</h3>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <p>
                                We have a large selection of locally owned cars available
                                for you to choose from. Rental plans are customised to suit
                                your needs. With over 300 cars located nationwide we will
                                have something for you.
                            </p>
                        </div>
                    </div>
                    <div class="col-md-4 d-flex align-items-center">
                        <form method="get" class="request-form ftco-animate bg-primary" id="find_car">
                            <h2>Find the ideal car rental for your trip</h2>
                            <div class="form-group">
                                <label class="label">Pick-up location</label>
                                <input type="text" name="pickupLocation" class="form-control"
                                       placeholder="City, District, Ward, etc">
                            </div>
                            <div class="d-flex">
                                <div class="form-group mr-2">
                                    <label class="label">Pick-up date</label>
                                    <input type="text" name="pickupDate" class="form-control"
                                           id="book_pick_date" placeholder="Date">
                                </div>
                                <div class="form-group ml-2">
                                    <label class="label">Pick-up time</label>
                                    <input type="text" class="form-control" id="time_pick"
                                           placeholder="Time">
                                </div>
                            </div>
                            <div class="d-flex">
                                <div class="form-group mr-2">
                                    <label class="label">Drop-off date</label>
                                    <input type="text" name="dropOffDate" class="form-control"
                                           id="book_off_date" placeholder="Date">
                                </div>
                                <div class="form-group ml-2">
                                    <label class="label">Drop-off time</label>
                                    <input type="text" class="form-control" id="time_off"
                                           placeholder="Time">
                                </div>
                            </div>
                            <div class="form-group">
                                <input asp-action="SearchCar" asp-controller="Cars" type="submit" value="SEARCH" class="btn btn-secondary py-3 px-4">
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="ftco-section" id="whyus">
    <div class="container">
        <div class="row justify-content-center mb-5">
            <div class="col-md-7 text-center heading-section ftco-animate">
                <span class="subheading">Services</span>
                <h2 class="mb-3">Why us?</h2>
            </div>
        </div>
        <div class="row">
            <div class="col-md-3">
                <div class="services services-2 w-100 text-center">
                    <div class="icon d-flex align-items-center justify-content-center">
                        <span>
                            <i class="fa fa-money" aria-hidden="true"></i>
                        </span>
                    </div>
                    <div class="text w-100">
                        <h3 class="heading mb-2">Save Money</h3>
                        <p>
                            We have no setup or registration fees. You are only charged
                            when you rent a car. So get started for FREE!
                        </p>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="services services-2 w-100 text-center">
                    <div class="icon d-flex align-items-center justify-content-center">
                        <span>
                            <i class="fa fa-male" aria-hidden="true"></i>
                        </span>
                    </div>
                    <div class="text w-100">
                        <h3 class="heading mb-2">Convenient</h3>
                        <p>
                            We have a large selection of privately owned cars to suit
                            your needs throughout the country.
                        </p>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="services services-2 w-100 text-center">
                    <div class="icon d-flex align-items-center justify-content-center">
                        <span>
                            <i class="fa fa-gavel" aria-hidden="true"></i>
                        </span>
                    </div>
                    <div class="text w-100">
                        <h3 class="heading mb-2">Legal and insurance</h3>
                        <p>
                            We fully cover all rentals and even provide roadside
                            assistance. Our rating system and extended member profile
                            checks provide safety.
                        </p>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="services services-2 w-100 text-center">
                    <div class="icon d-flex align-items-center justify-content-center">
                        <span>
                            <i class="fa fa-headphones" aria-hidden="true"></i>
                        </span>
                    </div>
                    <div class="text w-100">
                        <h3 class="heading mb-2">24/7 support</h3>
                        <p>
                            Our team is ready to support you all along the way with our
                            24/7 hotline and services.
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="ftco-section testimony-section bg-light"
         id="whatpeoplesay">
    <div class="container">
        <div class="row justify-content-center mb-5">
            <div class="col-md-7 text-center heading-section ftco-animate">
                <span class="subheading">Feedback</span>
                <h2 class="mb-3">What people say?</h2>
            </div>
        </div>
        <div class="row ftco-animate">
            <div class="col-md-12">
                <div class="carousel-testimony owl-carousel ftco-owl">
                    @foreach (var item in ViewBag.FeedBack)
                    {
                        <div class="item">
                            <div class="testimony-wrap rounded text-center py-4 pb-5">
                                <div class="user-img mb-2"
                                     style="background-image: url(/assets/images/person_1.jpg)">
                                </div>
                                <div class="text pt-4">
                                    <p class="mb-4">
                                        @item.Content
                                    </p>
                                    <div class="name">
                                        @if (@item.Ratings == 1)
                                        {
                                            <span class="fa fa-star checked"></span>
                                            <span class="fa fa-star "></span>
                                            <span class="fa fa-star "></span>
                                            <span class="fa fa-star"></span>
                                            <span class="fa fa-star"></span>
                                        }
                                        else if (@item.Ratings == 2)
                                        {
                                            <span class="fa fa-star checked"></span>
                                            <span class="fa fa-star checked"></span>
                                            <span class="fa fa-star "></span>
                                            <span class="fa fa-star"></span>
                                            <span class="fa fa-star"></span>
                                        }
                                        else if (@item.Ratings == 3)
                                        {
                                            <span class="fa fa-star checked"></span>
                                            <span class="fa fa-star checked"></span>
                                            <span class="fa fa-star checked"></span>
                                            <span class="fa fa-star"></span>
                                            <span class="fa fa-star"></span>
                                        }
                                        else if (@item.Ratings == 4)
                                        {
                                            <span class="fa fa-star checked"></span>
                                            <span class="fa fa-star checked"></span>
                                            <span class="fa fa-star checked"></span>
                                            <span class="fa fa-star checked"></span>
                                            <span class="fa fa-star"></span>
                                        }
                                        else if (@item.Ratings == 5)
                                        {
                                            <span class="fa fa-star checked"></span>
                                            <span class="fa fa-star checked"></span>
                                            <span class="fa fa-star checked"></span>
                                            <span class="fa fa-star checked"></span>
                                            <span class="fa fa-star checked"></span>
                                        }
                                    </div>
                                    <span class="position">@string.Format("{0:dddd, MMMM d, yyyy}", @item.FeedbackDate)</span>

                                </div>
                            </div>
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</section>

<section class="ftco-section" id="location">
    <div class="container">
        <div class="row justify-content-center mb-5">
            <div class="col-md-7 heading-section text-center ftco-animate">
                <span class="subheading">Location</span>
                <h2>Where to find us?</h2>
            </div>
        </div>
        <div class="row d-flex">
            @foreach (var city in Model)
            {
                <div class="col-md-4 d-flex ftco-animate">
                    <div class="blog-entry justify-content-end">
                        <a href="@Url.Action("CityCars", "Cars", new { city = city.City })" class="block-20" style="background-image: url('/assets/images/image_4.jpg'); position: relative;">
                            <div class="text pt-4" style="position: absolute; bottom: 0; left: 0; background: rgba(255, 255, 255, 0.6); padding-left: 20px;">
                                <div class="meta mb-3" style="color: white; font-size: 20px; text-shadow: 2px 2px 5px black;">
                                    <p>@city.City</p>
                                    <p>@city.CarCount cars</p>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
            }
        </div>
    </div>
</section>

<section class="ftco-counter ftco-section img bg-light"
         id="section-counter">
    <div class="container">
        <div class="row">
            <div class="col-md-6 col-lg-3 justify-content-center counter-wrap ftco-animate">
                <div class="block-18">
                    <div class="text text-border d-flex align-items-center">
                        <strong class="number" data-number="60">0</strong>
                        <span>Year <br>Experienced</span>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-lg-3 justify-content-center counter-wrap ftco-animate">
                <div class="block-18">
                    <div class="text text-border d-flex align-items-center">
                        <strong class="number" data-number="1090">0</strong>
                        <span>Total <br>Cars</span>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-lg-3 justify-content-center counter-wrap ftco-animate">
                <div class="block-18">
                    <div class="text text-border d-flex align-items-center">
                        <strong class="number" data-number="2590">0</strong>
                        <span>Happy <br>Customers</span>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-lg-3 justify-content-center counter-wrap ftco-animate">
                <div class="block-18">
                    <div class="text d-flex align-items-center">
                        <strong class="number" data-number="67">0</strong>
                        <span>Total <br>Branches</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

@section Css {
    <style>
        .checked {
            color: orange;
        }
    </style>
}
